#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-11
# @Author  : JCai
# @desc    :
import threadpool
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    def handle(self, *args, **options):
        from info_sync.models.account_models import EBayAccount
        from info_sync.views.listing_sync_info import ebay_listing_sync
        stores = EBayAccount.objects.all().values('account_id', 'name', 'Token')
        # stores = EBayAccount.objects.filter(account_id__in=[160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171]).values('account_id', 'name', 'Token')
        # for store in stores:
        #     ebay_listing_sync(store)
        pool = threadpool.ThreadPool(8)
        requests = threadpool.makeRequests(ebay_listing_sync, stores)
        [pool.putRequest(req) for req in requests]
        pool.wait()
